Package org.apache.wiki.render.markdown

## Class MarkdownRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer
  - - org.apache.wiki.render.markdown.MarkdownRenderer

    public class MarkdownRenderer
    extends WikiRenderer

Class handling the markdown rendering.

### Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

### Constructor Summary

Constructors
`MarkdownRenderer​(org.apache.wiki.api.core.Context context, WikiDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkdownRenderer

    public MarkdownRenderer​(org.apache.wiki.api.core.Context context,
                            WikiDocument doc)

### Method Detail

#### getString

    public java.lang.String getString()
                               throws java.io.IOException

Specified by:
  `getString` in class `WikiRenderer`
Throws:
  `java.io.IOException`